Bug 1021313 - Add gadget notifications
Add gadget notifications
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-20 23:39 EDT by Catherine Robson
Modified: 2014-02-06 10:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-10-20 23:39:30 EDT
Description of problem:
When adding a gadget to the dashboard, it is not always easy to tell the action is successfully occurring and the user can get lost in how many gadgets actually have been added to the dashboard.

Suggested solution:
Have a "Widget successfully added" verification message appear near or next to the "add to dashboard" button in the gadget store listings.

Ideally, have a count of how many instances of this widget exist on the currently selected dashboard at this moment so the user can track how many they are adding.
Comment 2 Eric Wittmann 2013-10-23 10:29:42 EDT
Ideally I would have implemented the gadget count UI as suggested.  However that would actually require a major change to how the gadget server works.

So instead it now just does an "alert" to let the user know that a gadget was added.

Additionally, I updated a bunch of CSS to make the gadget store look a little nicer and make it more obvious what the user can do vs. what is just informational.

Also, when the user clicks the "Add To Page" button, it will now disable that button and change the label to "Adding...".  When the gadget is added (which is done asynchronously) the user gets the alert and the button goes back to normal.
Comment 3 Eric Wittmann 2013-10-23 10:30:47 EDT
Note: the greying out of the button might not be obvious - the button will only be in that state during the period of time it takes the gadget server to add the gadget to the UI.  This involves making a REST call to the server and getting a response.  So the response time (and thus the amount of time the button will be greyed out) is dependent on server speed and load.
Comment 4 Andrej Vano 2013-12-13 03:16:09 EST
Verified on ER7-2

Note You need to log in before you can comment on or make changes to this bug.